import {
  transfromDefineRender
} from "./chunk-SPDJJOK2.mjs";

// src/index.ts
import { createUnplugin } from "unplugin";
import { createFilter } from "@rollup/pluginutils";
function resolveOption(options) {
  return {
    include: [/\.vue$/, /(\.vue|\.setup\.[cm]?[jt]sx?)\?vue/],
    ...options
  };
}
var name = "unplugin-vue-define-render";
var src_default = createUnplugin((userOptions = {}) => {
  const options = resolveOption(userOptions);
  const filter = createFilter(options.include, options.exclude);
  return {
    name,
    enforce: "post",
    transformInclude(id) {
      return filter(id);
    },
    transform(code, id) {
      try {
        return transfromDefineRender(code, id);
      } catch (err) {
        this.error(`${name} ${err}`);
      }
    }
  };
});

export {
  src_default
};
